## Script (Python) "contactSubscribers"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=subject, message
##title=
##
# -*- coding: utf-8 -*-
from Products.CMFCore.utils import getToolByName
RESPONSE = context.REQUEST.RESPONSE

url = '%s/%s' % (
    context.absolute_url(),
    context.getTypeInfo().getActionById('view')
    )

emails = {}
for member in context.getBRefs(relationship='subscriptionContentOf'):
    info = member.getSubscriberInfo()
    emails[info['email']]=1

mtool = getToolByName(context, 'portal_membership')
member = mtool.getAuthenticatedMember()
from_email = member.getProperty('email', None)
if not from_email:
    raise "You don't have your email property set! Go to preferences -> personal preferences"

stool = getToolByName(context, 'portal_subscription')
psm = stool.contactMailing(content = context, emails = emails.keys(), from_email=from_email, subject=subject, message=message)

return RESPONSE.redirect('%s?portal_status_message=%s' % (url, psm))
