## Script (Python) "susbcription_csv_export"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=REQUEST=None
##title=Exporting subscriptions to content as CSV
##
# $Id: subscription_csv_export.py,v 1.2 2005/11/20 00:29:42 roeder Exp $
# -*- coding: utf-8 -*-
filename = 'subscriptions_' + context.getId() + '.csv'
from Products.CMFCore.utils import getToolByName
RESPONSE = context.REQUEST.RESPONSE
RESPONSE.setHeader('Content-Type', 'text/comma-separated-values; charset=%s' % context.getCharset())
RESPONSE.setHeader('Content-Disposition', 'attachment;filename=' + filename)
subscriptions = {}
for member in context.getBRefs(relationship='subscriptionContentOf'):
    info = member.getSubscriberInfo()
    subscriptions[info['email']]=info['fullname']
if not subscriptions:
    raise "No subscriptions"
# The CSV title line
columns = ['Email','Name']
print ";".join(columns)
# Now all the lines per observation
for subscription in subscriptions.items():
    print ";".join(subscription)
return printed
